GridFire v0.7.6rc4.0 General Purpose Nuclear Network

Loading...
Searching...
No Matches
Public Member Functions | List of all members
gridfire_mod::gf_evolve_c_scalar Interface Reference

## Public Member Functions
integer(c_int) function | gf_evolve_c_scalar (ctx_type, ptr, y_in, num_species, t, rho, tmax, dt0, y_out, energy, dedt, dedrho, nue_loss, nu_flux, mass_lost)

## Constructor & Destructor Documentation

## ◆ gf_evolve_c_scalar()

integer(c_int) function gridfire_mod::gf_evolve_c_scalar::gf_evolve_c_scalar | ( | integer(c_int), value | ctx_type,
|  | type(c_ptr), value | ptr,
|  | real(c_double), dimension(*), intent(in) | y_in,
|  | integer(c_size_t), value | num_species,
|  | real(c_double), intent(in) | t,
|  | real(c_double), intent(in) | rho,
|  | real(c_double), value | tmax,
|  | real(c_double), value | dt0,
|  | real(c_double), dimension(*), intent(out) | y_out,
|  | real(c_double), intent(out) | energy,
|  | real(c_double), intent(out) | dedt,
|  | real(c_double), intent(out) | dedrho,
|  | real(c_double), intent(out) | nue_loss,
|  | real(c_double), intent(out) | nu_flux,
|  | real(c_double), intent(out) | mass_lost )

The documentation for this interface was generated from the following file:

- src/extern/fortran/gridfire_mod.f90